use std::fmt::Display;

#[derive(Debug)]
pub enum UbisyncError {
    InvalidNodeReply(String),
    AppRegistrationFailed,
}

impl Display for UbisyncError {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        match self {
            Self::InvalidNodeReply(msg) => write!(f, "Invalid reply from ubisync node: {}", msg),
            Self::AppRegistrationFailed => {
                write!(f, "Registrating this app at the ubisync node failed.")
            }
        }
    }
}

impl std::error::Error for UbisyncError {}
